﻿@model fenykepalbum_5_3.AspNetCore.NewDb.Models.Kepek

@{
    ViewData["Title"] = "Szerkesztés";
}

<h1>Szerkesztés</h1>

<h4>Képek</h4>
<hr />
<div class="row">
    <form asp-action="Edit">
        <div class="col-md-4">
            <img class="img-thumbnail" id="Kep" src="~/kepek/@Model.Filenev" />
            <div class="form-group">
                <label for="Filenev" class="control-label"></label>
                <input asp-for="Filenev" id="Filenev" class="form-control" />
                <span asp-validation-for="Filenev" class="text-danger"></span>
            </div> 
            <div class="form-group">
                <label for="Filenevek" class="control-label"></label>
                @Html.DropDownList("Filenevek", (SelectList)ViewData["fnevek"], new { onchange = "Action(this.value);", @class = "form-control" })
            </div>
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />

            <div class="form-group">
                <label asp-for="Holkeszult" class="control-label"></label>
                <input asp-for="Holkeszult" class="form-control" />
                <span asp-validation-for="Holkeszult" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Mikor" class="control-label"></label>
                <input asp-for="Mikor" class="form-control" />
                <span asp-validation-for="Mikor" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Leiras" class="control-label"></label>
                <input asp-for="Leiras" class="form-control" />
                <span asp-validation-for="Leiras" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Mentés" class="btn btn-primary" />
            </div>
            </div>
    </form>
    </div>


<div>
    <a asp-action="Index">Vissza a listához</a>
</div>


<script src="https://code.jquery.com/jquery-3.4.1.slim.js"
        integrity="sha256-BTlTdQO9/fascB1drekrDVkaKd9PkwBymMlHOiG+qLI="
        crossorigin="anonymous">

</script>
<script type="text/javascript">
    $(document).ready(function () {
        //$("#Filenev").val($("#Filenevek option:selected").text());

    }
    );
    $("#Filenevek").on("change", function () {
        var fn = $("#Filenevek option:selected").text();
        $("#Filenev").val(fn);
        $("#Kep").attr("src", "/kepek/" + fn);
        

    });
</script>
@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}